@echo off
cls
set fi=cars\SDSinstall
set fs=cars\SDSsloth
echo Welcome to the Seven Deadly Sins Ultimate AI pack.
echo =========================================================
echo.
echo This installation relies upon this batch file being run from the main Re-Volt folder.
echo.
echo Do you wish to:
echo	(1) Install/re-install cars
echo	(2) Uninstall cars
choice /c:12 
if errorlevel 2 goto undo
if errorlevel 1 cls
echo Please select which speed you would like the cars to be.
echo. 
echo 1: 40.0 mph
echo 2: 44.5 mph
echo 3: 49.0 mph
echo 4: 53.5 mph
echo 5: 58.0 mph
echo 6: 72.0 mph
echo 7: 92.0 mph
echo 8: All speeds available, 40-92 mph
echo.
choice /c:12345678
if errorlevel 8 goto fir
if errorlevel 7 goto sev
if errorlevel 6 goto six
if errorlevel 5 goto fif
if errorlevel 4 goto fou
if errorlevel 3 goto thi
if errorlevel 2 goto sec
if errorlevel 1 goto fir

:sev
set ft=%fi%\SDS7a.txt
goto cars
:six
set ft=%fi%\SDS6a.txt
goto cars
:fif
set ft=%fi%\SDS5a.txt
goto cars
:fou
set ft=%fi%\SDS4a.txt
goto cars
:thi
set ft=%fi%\SDS3a.txt
goto cars
:sec
set ft=%fi%\SDS2a.txt
goto cars
:fir
set ft=%fi%\SDS1a.txt
goto cars

:cars
set fo=%fs%
set fn=%fo%
md %fo%
copy /y %fi%\*.prm %fo%\*.prm
copy /y %fi%\hull.hul %fo%\hull.hul
Copy /y %fi%\SDS1.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car1.bmp %fo%\car.bmp
set fo=cars\SDSglutt
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS2a.txt
Copy /y %fi%\SDS2.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car2.bmp %fo%\car.bmp
set fo=cars\SDSenvy
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS3a.txt
Copy /y %fi%\SDS3.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car3.bmp %fo%\car.bmp
set fo=cars\SDSpride
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS4a.txt
Copy /y %fi%\SDS4.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car4.bmp %fo%\car.bmp
set fo=cars\SDSgreed
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS5a.txt
Copy /y %fi%\SDS5.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car5.bmp %fo%\car.bmp
set fo=cars\SDSlust
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS6a.txt
Copy /y %fi%\SDS6.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car6.bmp %fo%\car.bmp
set fo=cars\SDSwrath
md %fo%
set fn=%fo%
copy /y %fs%\*.* %fn%\*.*
if errorlevel 8 set ft=%fi%\SDS7a.txt
Copy /y %fi%\SDS7.txt+%ft% %fo%\Parameters.txt
Copy /y %fi%\car7.bmp %fo%\car.bmp
cls
echo All seven cars are now installed.
echo.
echo ================================================================
echo Pack name		: Seven Deadly Sins Ultimate AI pack  
echo Main Install Folder	: Re-volt\cars\SDSinstall
echo Author			: Manmountain
echo Email Address		: Mystic_2@lineone.net
echo Description		: 7 cars, 7 speeds. Another part of my AI project.
echo Additional thanks to	: Acclaim and everyone who uses this pack.
echo ================================================================
echo * Play Information *
echo Top speed (observed)	: 40-92mph
echo Rating			: Super Pro+
echo Base			: Toyeca, highly retuned and moderately repainted
echo Editor(s) used		: PSP 4, Notepad
echo * Copyright / Permissions *
echo Authors May use anything in this pack to further their own creations.
goto end

:undo
cls
echo Are you sure you wish to un-install the cars Y/N
echo.
choice /c:YN 
if errorlevel 2 goto end
if errorlevel 1 cls
erase cars\SDSsloth\*.txt
erase cars\SDSsloth\*.prm
erase cars\SDSsloth\*.hul
erase cars\SDSsloth\*.bmp
rd cars\SDSsloth
erase cars\SDSglutt\*.txt
erase cars\SDSglutt\*.prm
erase cars\SDSglutt\*.hul
erase cars\SDSglutt\*.bmp
rd cars\SDSglutt
erase cars\SDSenvy\*.txt
erase cars\SDSenvy\*.prm
erase cars\SDSenvy\*.hul
erase cars\SDSenvy\*.bmp
rd cars\SDSenvy
erase cars\SDSpride\*.txt
erase cars\SDSpride\*.prm
erase cars\SDSpride\*.hul
erase cars\SDSpride\*.bmp
rd cars\SDSpride
erase cars\SDSgreed\*.txt
erase cars\SDSgreed\*.prm
erase cars\SDSgreed\*.hul
erase cars\SDSgreed\*.bmp
rd cars\SDSgreed
erase cars\SDSlust\*.txt
erase cars\SDSlust\*.prm
erase cars\SDSlust\*.hul
erase cars\SDSlust\*.bmp
rd cars\SDSlust
erase cars\SDSwrath\*.txt
erase cars\SDSwrath\*.prm
erase cars\SDSwrath\*.hul
erase cars\SDSwrath\*.bmp
rd cars\SDSwrath
cls
echo The Seven Deadly Sins cars have been removed.
echo To reinstall RUN SDSsetup.bat file in your \revolt\ directory.
:end
echo.
echo *****************************************
echo.
echo The Seven Deadly Sins setup has finished,
echo.
echo Thank you, please enjoy.
exit